---
lang: en
title: 'API docs: core.application.awaitstate'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.application.awaitstate.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [awaitState](./core.application.awaitstate.md)

## Application.awaitState() method

**Signature:**

```typescript
protected awaitState(state: string): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  state | string |  |

**Returns:**

Promise&lt;void&gt;


